import { ICustomResourcePatch, OverriderPatches } from './base';
export declare class GithubRepositoryOverrider extends OverriderPatches {
    applicableProviders: string[];
    __validate(): Promise<boolean>;
    __patches(claim: any, previousCR: any): Promise<ICustomResourcePatch[]>;
    private additionalPermissions;
    private additionalCodeownersRules;
}
